local E, L, V, P, G = unpack(ElvUI);
local mPlugin = "mMediaTag"
local mMT = E:GetModule(mPlugin);
local DT = E:GetModule("DataTexts");
local addon, ns = ...
local mText = format("Dock %s", BLIZZARD_STORE)
local mTextName = "mBlizzardStore"

local function mDockCheckFrame()
	return ( StoreFrame and StoreFrame_IsShown() )
end

function mMT:CheckFrameBlizzardStore(self)
	mMT:DockTimerCheck(self, mDockCheckFrame())
end

local function OnEnter(self)
	mMT:mOnEnter(self, BLIZZARD_STORE)
end

local function OnEvent(self, event, ...)
	mMT:mOnEvent(self, nil, nil, nil, mDockCheckFrame(), E.db[mPlugin].mDock.textures.blizzardstore.path, "CheckFrameBlizzardStore")
end

local function OnLeave(self)
	mMT:mOnLeave(self, mDockCheckFrame())
end

local function OnClick(self)
	mMT:mClick(self, "CheckFrameBlizzardStore")
	if mMT:mCheckCombat() then
		StoreMicroButton:Click()
	end
end

DT:RegisterDatatext(mTextName, nil, nil, OnEvent, nil, OnClick, OnEnter, OnLeave, mText, nil)